Next: NORM2, Previous: NEW_LINE, Up: Intrinsic Procedures [Contents][Index]

### 9.207 `NINT` — Nearest whole number

Description:

  `NINT(A)` rounds its argument to the nearest whole number.

Standard:

  Fortran 77 and later, with KIND argument Fortran 90 and later

Class:

  Elemental function

Syntax:

  `RESULT = NINT(A [, KIND])`

Arguments:

  A | The type of the argument shall be `REAL`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  Returns A with the fractional portion of its magnitude eliminated by rounding to the nearest whole number and with its sign preserved, converted to an `INTEGER` of the default kind.

Example:

      program test_nint
        real(4) x4
        real(8) x8
        x4 = 1.234E0_4
        x8 = 4.321_8
        print *, nint(x4), idnint(x8)
      end program test_nint

Specific names:

  Name | Argument | Return Type | Standard
  `NINT(A)` | `REAL(4) A` | `INTEGER` | Fortran 77 and later
  `IDNINT(A)` | `REAL(8) A` | `INTEGER` | Fortran 77 and later

See also:

  CEILING, FLOOR